Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class KnuthPossPosIter

    java.lang.Object
      org.apache.fop.layoutmgr.PositionIterator
          org.apache.fop.layoutmgr.KnuthPossPosIter

All Implemented Interfaces:
  java.util.Iterator

public class KnuthPossPosIter
extends PositionIterator

Constructor Summary
`KnuthPossPosIter(java.util.List elementList)` Auxiliary constructor
`KnuthPossPosIter(java.util.List elementList, int startPos, int endPos)` Main constructor

Method Summary
`protected boolean` | `checkNext()`
`ListElement` | `getKE()`
`protected LayoutManager` | `getLM(java.lang.Object nextObj)`
`protected Position` | `getPos(java.lang.Object nextObj)`
`java.lang.Object` | `next()`

Methods inherited from class org.apache.fop.layoutmgr.PositionIterator
`endIter, getNextChildLM, hasNext, peekNext, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnuthPossPosIter

    public KnuthPossPosIter(java.util.List elementList,
                            int startPos,
                            int endPos)

  Main constructor

Parameters:
  `elementList` - List of Knuth elements
  `startPos` - starting position, inclusive
  `endPos` - ending position, exclusive

### KnuthPossPosIter

    public KnuthPossPosIter(java.util.List elementList)

  Auxiliary constructor

Parameters:
  `elementList` - List of Knuth elements

Method Detail

### checkNext

    protected boolean checkNext()

  Overrides:
    `checkNext` in class `PositionIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `PositionIterator`

### getKE

    public ListElement getKE()

### getLM

    protected LayoutManager getLM(java.lang.Object nextObj)

  Specified by:
    `getLM` in class `PositionIterator`

### getPos

    protected Position getPos(java.lang.Object nextObj)

  Specified by:
    `getPos` in class `PositionIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.